// Your name goes here

// The x- and y-coordinates
int x, y;

// Speed starts as not moving
int speed = 0;  

// Set size of output window and drawing to smooth
// The x-coordinate starts at left edge of output window
// The y-coordinate is always at center of output window
void setup()
{
  size(800, 200);
  smooth();
  
  x = 0;
  y = height / 2;
}

// Erase background to white
// Then call stickMan(), move(), setSpeed() and startOver() functions
void draw()
{
  background(255);
  
  stickMan();
  move();
  setSpeed();
  startOver();
}

// Draw the 'stick man'
void stickMan()
{
  // Draw the head
  fill(255, 204, 151);
  ellipse(x, y - 40, 40, 40);

  // Draw the body
  line(x, y - 20, x, y + 30);

  // Draw the left arm
  line(x, y, x - 25, y + 5);
  line(x - 25, y + 5, x - 40, y + 30);
  
  // Draw the right arm
  line(x, y, x + 18, y + 8);
  line(x + 18, y + 8, x + 42, y - 25);
  
  // Draw the left leg
  line(x, y + 30, x - 5, y + 60);
  line(x - 5, y + 60, x - 35, y + 50);

  // Draw the right leg
  line(x, y + 30, x + 35, y + 43);
  line(x + 35, y + 43, x + 15, y + 73);
  
  // Draw the feet
  fill(0);
  rect(x - 42, y + 50, 8, 20);
  rect(x + 15, y + 73, 20, 8);
}

// Move x-coordinate to the right
void move()
{
  x = x + speed;
}

// Vary 'stick man' speed by the amount the mouse is moving
void setSpeed()
{
  speed = abs(mouseX - pmouseX);
}

// // If at right edge of output window, set x-coordinate back at left edge
void startOver()
{
  if (x > width)
  {
    x = 0;
  }
}
