// Your name goes here

// Diameter of the "ball" starts at zero (0)
int d = 0;

// Set size of output window, turn stroke off and set random fill color for the first ball
void setup()
{
  size(400, 400);
  noStroke();

  setRandomFillColor();
}

// Set background to white, set x and y-coordinates to center of output window,
// call the ball(int, int, int) function, and increment size of diameter;
// then call resetRadius() function which will reset radius back to zero 
// and set fill to another random color if the diameter of the ball
// exceeds the size of the output window
void draw()
{
  background(255);

  int x = width / 2;
  int y = height / 2;

  ball(x, y, d);
  incrementDiameter();
  resetDiameter();
}

// Draw "ball" at location and size of parameters
void ball(int xCoord, int yCoord, int diameter)
{
  ellipseMode(CENTER);
  ellipse(xCoord, yCoord, diameter, diameter);
}

// Increase the diameter size by one pixel
void incrementDiameter()
{
  d += 3;
}

// If the diameter of the ball (twice the radius) exceeds the size of the output window,
// reset the radius size back to zero pixels and call the setRandomFillColor() method to assign 
// another random color for the ball
void resetDiameter()
{
  if (d > width)
  {
    d = 0;
    setRandomFillColor();
  }
}

//  Set fill to another random color
void setRandomFillColor()
{
  int red = (int) random(255);
  int green = (int) random(255);
  int blue = (int) random(255);

  fill(red, green, blue);
}
