// Your name goes here

// All variables are local and values are passed and returned

// Set size of the output window, random fill color of the circle and turn stroke off
void setup() 
{
  size(400, 400);
  fill( rgbRandom(), rgbRandom(), rgbRandom() );
  noStroke();
}

// Erases output window to white background, sets x and y to center of output window,
// if a key is pressed and it is the ENTER key set fill color of circle to random color,
// and then draw the circle
void draw() 
{
  background(255);
  
  int x = width / 2;
  int y = height / 2;
  
  if (keyPressed && key == ENTER)
  {
    fill( rgbRandom(), rgbRandom(), rgbRandom() );
  }

  circle( x, y, radius(x, y) );
}

// Return a random int for RGB between zero (0) and 255
int rgbRandom()
{
  return (int) random(255);
}

//  Draw a circle at the location and size of the parameter
void circle(int xCoord, int yCoord, int radius)
{
  ellipseMode(CENTER);
  ellipse(xCoord, yCoord, radius * 2, radius * 2);
}

// Calculate radius of circle based on mouseX and mouseY coordinates
int radius(int x, int y)
{
  return (int) dist(x ,y , mouseX, mouseY);
}
